const
	maxn = 200000;
var
	n, i: longint;
	r, p: array [1..maxn] of longint;
begin
	randseed := 44444444;

	n := 100000;
	for i := 1 to n do begin
		r[i] := random(10) + 1;
		p[i] := random(1000) + 1;
	end;

	writeln(n);
	for i := 1 to n do begin
		writeln(r[i], ' ', p[i]);
	end;
end.